## neovim-indent-blankline 3.9.0

=== Makefile ===
ifndef VERBOSE
.SILENT:
endif

test: dependencies
	@echo "Running indent-blankline tests..."
	timeout 300 nvim -e \
		--headless \
		--noplugin \
		-u specs/spec.lua \
		-c "PlenaryBustedDirectory specs/features {minimal_init = 'specs/spec.lua'}"

luacheck:
	luacheck .

stylua:
	stylua --check .

lua-language-server: dependencies
	rm -rf .ci/lua-language-server-log
	lua-language-server --configpath .luarc.$(version).json --logpath .ci/lua-language-server-log --check .
	@if jq -e 'if . | length > 0 then true else false end' .ci/lua-language-server-log/check.json > /dev/null; then \
		cat .ci/lua-language-server-log/check.json; \
		exit 1; \
	fi

dependencies:
	if [ ! -d .ci/vendor ]; then \
		git clone --depth 1 \
			https://github.com/nvim-lua/plenary.nvim \
			.ci/vendor/pack/vendor/start/plenary.nvim; \
		git clone --depth 1 \
			https://github.com/folke/neodev.nvim \
			.ci/vendor/pack/vendor/start/neodev.nvim; \
	fi

=== debian/changelog ===
neovim-indent-blankline (3.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1114934)

 -- Carl Keinath <carl.keinath@gmail.com>  Sun, 14 Sep 2025 10:20:12 +0200

=== debian/control ===
Source: neovim-indent-blankline
Section: editors
Priority: optional
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Carl Keinath <carl.keinath@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-vim-addon,
Standards-Version: 4.7.2
Homepage: https://github.com/lukas-reineke/indent-blankline.nvim
Vcs-Browser: https://salsa.debian.org/vim-team/neovim-indent-blankline
Vcs-Git: https://salsa.debian.org/vim-team/neovim-indent-blankline.git

Package: neovim-indent-blankline
Architecture: all
Depends:
 ${misc:Depends},
 ${vim-addon:Depends},
Description: Indentation guides for Neovim
 Neovim plugin providing indentation guides via virtual text, with
 optional Treesitter-based scope highlighting and rainbow levels.
 .
 This is a neovim-only plugin.

=== debian/watch ===
Version: 5

Template: Github
Owner: lukas-reineke
Project: indent-blankline.nvim

## neovim-indent-blankline 3.9.1

=== debian/changelog ===
neovim-indent-blankline (3.9.1-1) unstable; urgency=medium

  * New upstream release
  * add upstream testsuite

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 18 Feb 2026 08:28:29 +0100

neovim-indent-blankline (3.9.0-2) unstable; urgency=medium

  * d/control:
  - remove Rules-Requires-Root: no
  - bump Standards-Version to 4.7.3
  - remove Priority: optional
  * d/patches: add lua5.1-compat patch

 -- Carl Keinath <carl.keinath@gmail.com>  Sun, 28 Dec 2025 08:22:16 +0100

=== debian/tests/control ===
Tests: run-tests

Tests: upstream-tests
Depends: @, neovim-plenary
Restrictions: allow-stderr
